# 首页

## 首次登录用户
首次登录用户，进入首页后如图

![首次登录页](./images/首页.png)

此时 `logwire-v1` 和 `logwire-v2` 系统都还未初始化，点击 `logwire-v2` 旁的初始化按钮

> 因为开发的先后顺序，所以必须先初始化 `logwire-v2` ，再初始化 `logwire-v1`

![初始化](./images/初始化.png)

在初次初始化时，**肯定**会失败，这是因为 `gitlab` 的用户没有和容器内的 `git` 环境关联，现在需要将提示中的**加粗字体**，放入到 `gitlab ssh` 设置中，并重新点击初始化，耗时较久

![ssh密钥](./images/ssh密钥.png)

全部初始化后，右侧按钮会变为 `编译` 和 `运行`

> `运行` 按钮需要在执行一次编译后才会显示

![初始化结束](./images/初始化结束.png)

## logwire-v2 操作
除了常规的 `编译` `运行` 按钮，对于 `logwire-v2` 系统还具有以下操作：

* `切换分支`：跳转到[切换分支](./分支.md)页面
* `修改配置`：跳转到[修改配置](./配置.md)页面
* `打开 Vscode`: 打开容器内 `logwire-v2` 的目录页
* `调试`：执行调试程序。
* `打包微信压缩文件`：为了方便设计器打包小程序文件后，快速的下载打包文件

### 编译
点击 `编译` 按钮后，会打包后端程序。首次点击时耗费时间久，是为了下载后端打包所需要的文件。

### 运行
点击 `运行` 按钮后，等待一段时间，出现提示后，设置对应的配置即可启动服务


![运行](./images/运行.png)

此时提示内容如下

> TIP: 请代理后端请求到 192.168.0.4:30001, 开发环境域名和端口号为 192.168.0.190:23335,192.168.0.190:23336,a.test.com:23335,a.test.com:23336,a.test.com:29000

需要前端开发者将 `vue.config.js` 配置文件中，关于 `devServer` 的接口代理到 `http://192.168.0.4:30001` 地址上。并且只有 `192.168.0.190:23335,192.168.0.190:23336,a.test.com:23335,a.test.com:23336,a.test.com:29000` 这些 `host` 地址可以访问该后端程序，这是 `logwire` 的后端框架决定的。

### 调试  
调试需要在 [配置](./配置.md) 页面，输入后端开发者的 ip 地址。在编译 `logwire-v2` 系统后，点击调试按钮。会将后端的 `IDEA` 的远程调试工具连接到容器内的 `java` 程序。

> 如果系统正在运行，必须先停止！

## logwire-v1 操作
除了常规的 `编译` `运行` 按钮，对于 `logwire-v1` 系统还具有以下操作：

* `切换分支`：跳转到切换分支页面
* `修改配置`：跳转到修改配置页面
* `打开 Vscode`: 打开容器内 `logwire-v1` 的目录页
