let backendText = `# 数据库连接 url
spring.datasource.url=jdbc:postgresql://192.168.0.4:25556/wyq
# 数据库连接用户名
spring.datasource.username=postgres
# 数据连接密码
spring.datasource.password=postgres
# 数据库连接驱动
spring.datasource.driver-class-name=org.postgresql.Driver
# 数据库连接池
spring.datasource.type=com.zaxxer.hikari.HikariDataSource
# 连接池最小连接数
spring.datasource.hikari.minimum-idle=5
# 连接池最大连接数
spring.datasource.hikari.maximum-pool-size=50
# 连接建立超时时间
spring.datasource.hikari.connection-timeout=3000

# redis 数据库默认使用db0
spring.redis.database=0
# redis 密码
spring.redis.password=
# redis 端口
spring.redis.port=6379
# redis host
spring.redis.host=192.168.0.4
# 连接超时时间(单位：毫秒)
spring.redis.timeout=3000
# 连接池最大连接数（使用负值表示没有限制）
spring.redis.lettuce.pool.max-active=20
# 连接池中的最小空闲连接
spring.redis.lettuce.pool.min-idle=10
# 连接池中的最大空闲连接
spring.redis.lettuce.pool.max-idle=10
# 连接池最大阻塞等待时间(单位：毫秒，使用负值表示没有限制)
spring.redis.lettuce.pool.max-wait=1000
# 在关闭客户端连接之前等待任务处理完成的最长时间(单位：毫秒)，在这之后，无论任务是否执行完成，都会被执行器关闭，默认100ms
spring.redis.lettuce.shutdown-timeout=100
# 是否缓存空值
spring.cache.redis.cache-null-values=false

# 日志相关配置
logging.level.org.springframework=INFO
logging.level.io.netty=INFO
logging.level.com.zaxxer.hikari=INFO
logging.level.com.alibaba.excel=INFO
logging.level.io.lettuce=INFO
logging.level.org.hibernate=INFO
logging.level.org.eclipse=INFO
logging.level.org.apache.zookeeper=INFO
logging.level.org.apache.http=INFO
logging.level.org.elasticsearch=INFO
logging.level.com.obs=INFO
logging.level.org.quartz.core=INFO
logging.level.net.sf.jasperreports=INFO
logging.level.logwire=DEBUG
logging.level.org.springframework.boot.autoconfigure.logging=error

# MQ 相关配置
# MQ name service address; 默认值：localhost:9876
logwire.mq.name-srv-address=192.168.0.4:9876

# Backend 服务端口; 默认值：8091
logwire.server-port=9001
# 前端资源路径; 默认值：./frontend
logwire.frontend-path=./frontend
# 环境类型; 默认值：dev; 可选值：dev; uat; prod;
logwire.environment-type=dev
# 是否开启 CSRF 校验; 默认值：true
logwire.csrf-check-enabled=true
# 注册中心地址; 默认值：127.0.0.1:2181
logwire.register-center-server-list=192.168.0.4:2181
# 共享线程池大小; 默认值：C*2
logwire.shared-thread-pool-size=
# 检测到白名单之外的代码时是否抛出异常; 默认值：false
logwire.java-files-check-enabled=false
# Document 配置
# 是否开启客户端直连文件存储服务器; 默认值：false
logwire.document.client-direct-access-storage-service=false
# 文件存储服务器类型; 默认值：db; 可选值：db; obs; oss; azure-blob; aws-s3; dir;
logwire.document.storage-type=obs
# 当 storage-type 类型为 dir 时，配置该参数，值为文件存储目录
logwire.document.storage-dir=
logwire.document.obs.bucket-name=saas-platform-dev
logwire.document.obs.end-point=obs.cn-east-2.myhuaweicloud.com
logwire.document.obs.access-key=EFM5GPM1R9JOJYHE5VM6
logwire.document.obs.secret-key=7SaE5ZiADGywxWcJSvYEqr5nLgh2dcfG1Bm08bIk
# 华为云 OBS 相关配置
`
// user personal config
const customServerProperties = [{ key: 'logwire.document.storage-type', value: 'ob2222s' }]
customServerProperties.forEach(item => {
  const RegExpKey = item.key.replaceAll('[', '\\[').replaceAll(']', '\\]').replaceAll('.', '\\.')
  if (backendText.match(new RegExp(`#${RegExpKey}=(.*?)\n`))) {
    backendText = backendText.replace(new RegExp(`#${RegExpKey}=(.*?)\n`), `${item.key}=${item.value}\n`)
  } else if (backendText.match(new RegExp(`${RegExpKey}=(.*?)\n`))) {
    backendText = backendText.replace(new RegExp(`${RegExpKey}=(.*?)\n`), `${item.key}=${item.value}\n`)
  } else { // 如果完全没有匹配到内容，则直接追加到最后
    backendText += `\n${item.key}=${item.value}\n`
  }
})


console.log(backendText)